import { defineConfig } from "umi";

export default defineConfig({
  base: '/',
  publicPath: process.env.NODE_ENV === 'production' ? './' : '/',
  outputPath: 'systemDesign',
  favicons: [
    '/favicon.ico'
  ],
  styles: [
    '//at.alicdn.com/t/c/font_4676747_4jkbw9dya3f.css',
    '//at.alicdn.com/t/c/font_4767192_cvhfdnhsd79.css',
  ],
  metas: [
    { name: 'viewport', content: 'width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' }
  ],
  proxy: {
    '/api': {
      'target': 'http://ab.dev.jbpm.shalu.com/',
      'changeOrigin': true,
      'pathRewrite': { '^/api' : '' },
    },
  },
  scripts: [
    // 字体加载
    // '//ajax.googleapis.com/ajax/libs/webfont/1.6.26/webfont.js'
    '//at.alicdn.com/t/c/font_4767192_fqfnpnz3yj.js'
  ],
  plugins: [
    require.resolve('@umijs/plugins/dist/unocss'),
    require.resolve('@umijs/plugins/dist/model'),
    require.resolve('@umijs/plugins/dist/initial-state'),
    require.resolve('@umijs/plugins/dist/request'),
  ],
  request: {
    dataField: '',
  },
  model: {},
  unocss: {
    watch: ['src/**/*.tsx']
  },
  icons: {
    autoInstall: {}
  },
  history: { type: 'hash' },
  routes: [
    { path: "/", component: "home" },
    { path: "/er/:id", component: "er" },
    { path: "/detail/:id", component: "detail" },
    { path: "/*", component: '404' }
  ],
  npmClient: 'pnpm'
});
